Debian Bug report logs - #646469
torcs: FTBFS: maintexmapper.cpp:106:17: error: format not a string literal and no format arguments [-Werror=format-security]

version graph

Package: src:torcs; Maintainer for src:torcs is Rudy Godoy <rudy@stone-head.org>;

Reported by: Mònica Ramírez Arceda <monica@probeta.net>

Date: Mon, 24 Oct 2011 12:34:33 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version torcs/1.3.1-6

Fixed in version torcs/1.3.1-6.2

Done: Mònica Ramírez Arceda <monica@probeta.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Rudy Godoy <rudy@debian.org>:
Bug#646469; Package src:torcs. (Mon, 24 Oct 2011 12:34:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
New Bug report received and forwarded. Copy sent to Rudy Godoy <rudy@debian.org>. (Mon, 24 Oct 2011 12:34:56 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: submit@bugs.debian.org
Subject: torcs: FTBFS: maintexmapper.cpp:106:17: error: format not a string literal and no format arguments [-Werror=format-security]
Date: Mon, 24 Oct 2011 13:25:17 +0200
Source: torcs
Version: 1.3.1-6
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111022 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -I/build/torcs-SH1Xov/torcs-1.3.1/build-tree/torcs-1.3.1/export/include -I/build/torcs-SH1Xov/torcs-1.3.1/build-tree/torcs-1.3.1 -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wall -fPIC -fno-strict-aliasing -O2 -DUSE_RANDR_EXT -DGL_GLEXT_PROTOTYPES -Wall -fPIC -fno-strict-aliasing -O2 -DUSE_RANDR_EXT -DGL_GLEXT_PROTOTYPES  -D_SVID_SOURCE -D_BSD_SOURCE -DSHM -DHAVE_CONFIG_H  -c maintexmapper.cpp
> maintexmapper.cpp: In function 'void print_mat4(char*, float (*)[4])':
> maintexmapper.cpp:106:17: error: format not a string literal and no format arguments [-Werror=format-security]
> maintexmapper.cpp: In function 'void init_graphics()':
> maintexmapper.cpp:223:20: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:224:20: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp: In function 'void load_params()':
> maintexmapper.cpp:550:49: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:553:45: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:555:52: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:563:77: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:566:79: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:567:79: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:568:79: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:569:78: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:570:78: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:571:78: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:572:52: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:572:52: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:590:41: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp: In function 'void init_args(int, char**)':
> maintexmapper.cpp:656:18: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:665:19: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:669:18: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> maintexmapper.cpp:685:17: warning: deprecated conversion from string constant to 'char*' [-Wwrite-strings]
> cc1plus: some warnings being treated as errors
> 
> make[5]: *** [maintexmapper.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/10/22/torcs_1.3.1-6_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Rudy Godoy <rudy@debian.org>:
Bug#646469; Package src:torcs. (Sun, 04 Dec 2011 12:00:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mònica Ramírez Arceda <monica@probeta.net>:
Extra info received and forwarded to list. Copy sent to Rudy Godoy <rudy@debian.org>. (Sun, 04 Dec 2011 12:01:09 GMT) Full text and rfc822 format available.

Message #10 received at 646469@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 636009@bugs.debian.org, 646469@bugs.debian.org, control@bugs.debian.org
Subject: torcs: diff for NMU version 1.3.1-6.1
Date: Sun, 4 Dec 2011 12:55:18 +0100
[Message part 1 (text/plain, inline)]
tags 636009 patch
tags 646469 patch
thanks

Dear maintainer,

I've prepared an NMU for torcs (versioned as 1.3.1-6.1) to
fix #636009 and #646469.

Thanks for your work!
[torcs-1.3.1-6.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Mònica Ramírez Arceda <monica@probeta.net> to control@bugs.debian.org. (Sun, 04 Dec 2011 12:02:09 GMT) Full text and rfc822 format available.

Reply sent to Mònica Ramírez Arceda <monica@probeta.net>:
You have taken responsibility. (Sun, 04 Dec 2011 18:54:06 GMT) Full text and rfc822 format available.

Notification sent to Mònica Ramírez Arceda <monica@probeta.net>:
Bug acknowledged by developer. (Sun, 04 Dec 2011 18:54:06 GMT) Full text and rfc822 format available.

Message #17 received at 646469-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@probeta.net>
To: 646469-close@bugs.debian.org
Subject: Bug#646469: fixed in torcs 1.3.1-6.2
Date: Sun, 04 Dec 2011 18:51:23 +0000
Source: torcs
Source-Version: 1.3.1-6.2

We believe that the bug you reported is fixed in the latest version of
torcs, which is due to be installed in the Debian FTP archive:

torcs_1.3.1-6.2.diff.gz
  to main/t/torcs/torcs_1.3.1-6.2.diff.gz
torcs_1.3.1-6.2.dsc
  to main/t/torcs/torcs_1.3.1-6.2.dsc
torcs_1.3.1-6.2_amd64.deb
  to main/t/torcs/torcs_1.3.1-6.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mònica Ramírez Arceda <monica@probeta.net> (supplier of updated torcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 04 Dec 2011 11:34:02 +0100
Source: torcs
Binary: torcs
Architecture: source amd64
Version: 1.3.1-6.2
Distribution: unstable
Urgency: low
Maintainer: Rudy Godoy <rudy@debian.org>
Changed-By: Mònica Ramírez Arceda <monica@probeta.net>
Description: 
 torcs      - 3D racing cars simulator game using OpenGL
Closes: 636009 646469
Changes: 
 torcs (1.3.1-6.2) unstable; urgency=low
 .
   * Non-maintainer upload. (version 1.3.1-6.1 triggered a problem with dak)
   * 06-add-format-argument.patch: add format argument to
     avoid format-security error while building. (Closes: #646469)
   * 07-update-to-libpng15.patch: libpng transition. Thanks to Nobuhiro Iwamatsu!
     (Closes: #636009)
Checksums-Sha1: 
 9f50522cf5d2ff3c88ac1f4ad14008c7da8ffa98 1994 torcs_1.3.1-6.2.dsc
 63bb1bd3ba7d064213a0785846a60fa35785a656 9670 torcs_1.3.1-6.2.diff.gz
 2a638e1982d86cd2b15f915491b4ca3a3514f206 10907446 torcs_1.3.1-6.2_amd64.deb
Checksums-Sha256: 
 3a2c20ddd8d23787d9bd2b2dacf3bf784d8b4f6cfc673e22b7f5c169dd45a15f 1994 torcs_1.3.1-6.2.dsc
 6787d4e3568db4b80c738890b385df8e80b25e9b903fca15d1fc370840d6e815 9670 torcs_1.3.1-6.2.diff.gz
 4bcbe15c7c1c45374f18713852f3e1e514ce5ef67a82f5317e62b5a0ca5d552e 10907446 torcs_1.3.1-6.2_amd64.deb
Files: 
 5a3c8c08bc01ea2271a64c74abfb7e4a 1994 games optional torcs_1.3.1-6.2.dsc
 fd16537e31eb0379f5ba69afe2cab0d8 9670 games optional torcs_1.3.1-6.2.diff.gz
 37afe18080a7b8ddc23a1d4dc4bb455e 10907446 games optional torcs_1.3.1-6.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Ana Guerrero

iQIcBAEBCAAGBQJO27wwAAoJELNGT4lqoVlI3KEP/0QCwQvV8ZzmN7YUq3CTlz2L
DT4lFwd+R49Ux6tKcYICGtuCFjl19lyhd8uDcs5+3k95Pu5na0WqClgT6GFL5Ski
07/2S/kAdCaX/d/b/D2b04THH9PAe/3ovcuJ1ltuAwXkMrHMX9x1dxCe4YANA+Xj
Li4sZ3l3no/EVwWn9oe52ecIiU9NBYkiMtXIgtLMQDzgV4nmbOtAuqYPl0lFIxge
xOU44u51/txJiKjVrX4IPGL75nGvkva1XOFnjVuzdCQR2U4ohoSLBKZAtZeSgh4F
b+D/MDlj7pP/SaqlQb92KX/OFieZQN4FPs5gMWnhdtntvmyGlMLnHG1chSdxQhAB
nvN6RY6yIsWAWk+0v9j80KJyxn602KWEmDwjMkcLc1Ai7u4coyluP/PxJ93188QA
2CT0bdiLsxD79VMCHJQgGBjwIRZWVP3qwMUaCYnxhZvE1wGVT+BIPQOD9WEGqsio
M81HTmv1K5OVZDFel0ux3hkDZSausm79QKGhbejIgOVAXnWOXZExerK/YXRc91Ya
9zJNts4EIlgEi9O1zIFXVFXOA6Ob5vxOO7f/2M5+XD3b2GV/ddVflbcrH8CFA+x8
xuMYglrVra5lSeQy9uJ3+96G/7vkjhXid5Zn2A3H8oZNNBT3qm8fKEh0J8twHphL
Ho61KOYmIFjSHlyd2ahL
=jALG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jan 2012 07:40:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:13:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.